Page Menu
Home
DevCentral
Search
Configure Global Search
Log In
Files
F3774848
D1134.id2900.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
2 KB
Referenced Files
None
Subscribers
None
D1134.id2900.diff
View Options
diff --git a/.editorconfig b/.editorconfig
new file mode 100644
--- /dev/null
+++ b/.editorconfig
@@ -0,0 +1,17 @@
+# EditorConfig - http://EditorConfig.org
+root = true
+
+[*]
+end_of_line = lf
+trim_trailing_whitespace = true
+insert_final_newline = true
+charset = utf-8
+
+# 4 space indentation
+[*.{sh,tcl,py,php,pl}]
+indent_style = space
+indent_size = 4
+
+# Tab indentation (no size specified)
+[Makefile]
+indent_style = tab
diff --git a/arcanist/arc-paste-diff.sh b/arcanist/arc-paste-diff.sh
--- a/arcanist/arc-paste-diff.sh
+++ b/arcanist/arc-paste-diff.sh
@@ -9,8 +9,8 @@
fi
if [ "$COLORDIFF" = "" ]; then
- diff -u <(arc paste "$1") <(arc paste "$2")
+ diff -u <(arc paste "$1") <(arc paste "$2")
else
- diff -u <(arc paste "$1") <(arc paste "$2") | colordiff
+ diff -u <(arc paste "$1") <(arc paste "$2") | colordiff
fi
diff --git a/arcanist/arc-update-repo.sh b/arcanist/arc-update-repo.sh
--- a/arcanist/arc-update-repo.sh
+++ b/arcanist/arc-update-repo.sh
@@ -1,22 +1,22 @@
#!/bin/sh
ROOT_DIR=$(git rev-parse --show-toplevel 2>/dev/null)
if [ "$?" -ne "0" ]; then
- ROOT_DIR=$(hg root 2>/dev/null)
- if [ "$?" -ne "0" ]; then
- echo "Doesn't seem to be a Git or Mercurial repository."
- exit
- fi
+ ROOT_DIR=$(hg root 2>/dev/null)
+ if [ "$?" -ne "0" ]; then
+ echo "Doesn't seem to be a Git or Mercurial repository."
+ exit
+ fi
fi
if [ ! -f "$ROOT_DIR/.arcconfig" ]; then
- echo 'Create a .arcconfig file with "repository.callsign" : "..." (without the leading r) option.'
- exit
+ echo 'Create a .arcconfig file with "repository.callsign" : "..." (without the leading r) option.'
+ exit
fi
CALLSIGN=$(jq '."repository.callsign"' < "$ROOT_DIR/.arcconfig")
if [ "$CALLSIGN" = "null" ]; then
- echo 'Add to your .arcconfig file a "repository.callsign" : "..." (without the leading r) option.'
- exit
+ echo 'Add to your .arcconfig file a "repository.callsign" : "..." (without the leading r) option.'
+ exit
fi
echo "{ \"callsigns\": [$CALLSIGN] }" | arc call-conduit diffusion.looksoon > /dev/null
diff --git a/nasqueron-operations/newuser b/nasqueron-operations/newuser
--- a/nasqueron-operations/newuser
+++ b/nasqueron-operations/newuser
@@ -9,23 +9,23 @@
if [ $# -ne 1 ]
then
- >&2 echo "Usage: $(basename "$0") <username>"
- exit 64
+ >&2 echo "Usage: $(basename "$0") <username>"
+ exit 64
fi
ACCOUNT=$1
if [ ! -f $SHELLUSERS ]
then
- >&2 echo "You must run this at the top of a rOPS working copy."
- exit 66
+ >&2 echo "You must run this at the top of a rOPS working copy."
+ exit 66
fi
LASTUID=$(grep 'uid: 2' $SHELLUSERS | sort | tail -n 1 | awk '{print $2}')
NEWUID=$((LASTUID + 1))
{
echo " $ACCOUNT:"
- echo " fullname: $ACCOUNT"
- echo " uid: $NEWUID"
+ echo " fullname: $ACCOUNT"
+ echo " uid: $NEWUID"
} >> $SHELLUSERS
AUTHORIZED_KEYS=roles/shellserver/users/files/ssh_keys/$ACCOUNT
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Mon, Nov 25, 14:23 (21 h, 28 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2260383
Default Alt Text
D1134.id2900.diff (2 KB)
Attached To
Mode
D1134: Fix whitespaces issues
Attached
Detach File
Event Timeline
Log In to Comment